<?php

declare(strict_types=1);

namespace Drupal\u3id\EventSubscriber;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

/**
 * Route subscriber.
 */
final class U3idRouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection): void {
    if ($route = $collection->get('user.page')) {
      $route->setDefault('_controller', '\Drupal\u3id\Controller\U3idUserController::userPage');
    }
    if ($route = $collection->get('user.edit')) {
      $route->setDefault('_controller', '\Drupal\u3id\Controller\U3idUserController::userEditPage');
    }
    if ($route = $collection->get('user.reset')) {
      $route->setRequirement('uid', '\d+');
    }
    if ($route = $collection->get('user.reset.form')) {
      $route->setRequirement('uid', '\d+');
    }
    if ($route = $collection->get('user.reset.login')) {
      $route->setRequirement('uid', '\d+');
    }
    if ($route = $collection->get('user.cancel_confirm')) {
      $route->setRequirement('uid', '\d+');
    }
  }

}
